# Generated from sensu-plugins-chef-7.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name sensu-plugins-chef

Name: rubygem-%{gem_name}
Version: 7.1.1
Release: 1%{?dist}
Summary: Sensu plugins for chef
License: MIT
URL: https://github.com/sensu-plugins/sensu-plugins-chef
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3.0
# BuildRequires: rubygem(codeclimate-test-reporter) >= 1.0
# BuildRequires: rubygem(codeclimate-test-reporter) < 2
# BuildRequires: rubygem(github-markup) >= 4.0
# BuildRequires: rubygem(github-markup) < 5
# BuildRequires: rubygem(pry) >= 0.10
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(redcarpet) >= 3.2
# BuildRequires: rubygem(redcarpet) < 4
# BuildRequires: rubygem(rspec) >= 3.4
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 0.81.0
# BuildRequires: rubygem(rubocop) < 0.82
# BuildRequires: rubygem(yard) >= 0.9.11
# BuildRequires: rubygem(yard) < 0.10
BuildArch: noarch

%description
This plugin provides native Chef instrumentation
for monitoring, including: report stale nodes,
service health, as well as a handler to remove
stale Sensu clients.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/check-chef-node.rb
%{_bindir}/check-chef-nodes.rb
%{_bindir}/handler-chef-node.rb
%{_bindir}/check-chef-server.rb
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md

%changelog
* Wed Sep 15 2021 mockbuilder - 7.1.1-1
- Initial package
